Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
details
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>"
}
'
import requests

url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships/details"

payload = { "username": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>'})
};

fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "membership": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "user": {
      "username": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "isEmailVerified": false,
      "firstName": "<string>",
      "lastName": "<string>",
      "authMethods": [
        "<string>"
      ],
      "publicKey": "<string>"
    },
    "roles": [
      {
        "id": "<string>",
        "role": "<string>",
        "isTemporary": true,
        "customRoleId": "<string>",
        "customRoleName": "<string>",
        "customRoleSlug": "<string>",
        "temporaryMode": "<string>",
        "temporaryRange": "<string>",
        "temporaryAccessStartTime": "2023-11-07T05:31:56Z",
        "temporaryAccessEndTime": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to get memberships from.

Minimum string length: 1

Body

application/json
username
string
required

The username to get project membership of. Email is the default username.

Minimum string length: 1

Response

Default Response

membership
object
required